aboutsummaryrefslogtreecommitdiffstats
path: root/tools/git-compare-abis.sh
diff options
context:
space:
mode:
authorBalint Reczey <balint.reczey@ericsson.com>2011-10-30 22:46:52 +0000
committerBalint Reczey <balint.reczey@ericsson.com>2011-10-30 22:46:52 +0000
commitf387f7240c26614f8a1c65fb170098dcf509c9b1 (patch)
treecbe594a14cc50aff52af81f123cb63ac51ebd828 /tools/git-compare-abis.sh
parent5a466a5246f8e9979619b2731c161653ba70e2a0 (diff)
Compare current ABI to last (git) tagged version's ABI
svn path=/trunk/; revision=39682
Diffstat (limited to 'tools/git-compare-abis.sh')
-rwxr-xr-xtools/git-compare-abis.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/tools/git-compare-abis.sh b/tools/git-compare-abis.sh
new file mode 100755
index 0000000000..bc806a29d4
--- /dev/null
+++ b/tools/git-compare-abis.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# check is Wireshark's ABI has ben changes since last release (tag)
+set -e
+
+if test -z "$1"; then
+ echo "Usage:"
+ echo "$0 \"<build commands>\""
+ echo "e.g. $0 \"./autogen.sh && ./configure && make -j3 && make dumpabi\""
+ exit 1
+fi
+
+# build current version
+bash -c "$1"
+
+cd `git rev-parse --show-toplevel`
+# we are at top level
+LAST_TAG=`git describe --tags --abbrev=0`
+rm -rf $LAST_TAG
+mkdir $LAST_TAG
+git archive $LAST_TAG | tar -x -C $LAST_TAG
+
+# build latest tag
+(cd $LAST_TAG && bash -c "$1")
+
+exec tools/compare-abis.sh `pwd`/$LAST_TAG `pwd`
+